package com.docus.server.message.enums;

import com.docus.core.util.DateUtil;
import com.docus.core.util.Func;
import com.docus.server.message.util.IdUtil;

import java.util.Date;

public enum ParametersEnum {
    DATE("DATE", DateUtil.format(new Date(), "yyyy-MM-dd")),
    DATE_NO_CONNECT("DATE_NO_CONNECT", DateUtil.format(new Date(), "yyyyMMdd")),
    DATE_TIME("DATE_TIME", DateUtil.format(new Date(), "yyyy-MM-dd HH:mm:ss")),
    DATE_TIME_NO_CONNECT("DATE_TIME_NO_CONNECT", DateUtil.format(new Date(), "yyyyMMddHHmmss")),
    STANDARD_UUID("STANDARD_UUID", IdUtil.standardUUID()),
    UUID_NO_CONNECT("UUID_NO_CONNECT", Func.randomUUID()),
    ;
    String type;
    String param;

    ParametersEnum(String type, String param) {
        this.type = type;
        this.param = param;
    }

    public String getParam() {
        return param;
    }

    public String getType() {
        return type;
    }
}